
#include "gpu_beauty_base.h"
#include "video_frame.h"
#include "race_logging.h"

#if defined(_MSC_VER)
#define BEAUTY_API __declspec(dllexport)
#else
#define BEAUTY_API __attribute__((visibility("default")))
#endif


#ifdef __cplusplus
extern "C" {
#endif

BEAUTY_API void* race_beauty_base_create();

BEAUTY_API void race_beauty_base_destroy(void* instance);

BEAUTY_API bool race_beauty_base_initialize(void* instance, void* context);
BEAUTY_API void race_beauty_base_set_beauty_filter_config(void* instance, bool enable, Race::BeautyBaseConfig* config);
BEAUTY_API bool race_beauty_base_process_skin_beauty(void* instance, Race::VideoFrame* video_frame);

BEAUTY_API int race_beauty_base_BTF_setLogCallBack(void (* callback)(const char* log) );

BEAUTY_API int race_beauty_base_getoutput_texid(void* instance);

#ifdef __cplusplus
} //extern "C" 
#endif